# Asterisk Project : Asterisk 13 ManagerAction_ControlPlayback

Created by wikibot on Aug 08, 2014

# ControlPlayback

### Synopsis

Control the playback of a file being played to a channel.

### Description

Control the operation of a media file being played back to a channel. Note that this AMI action does not initiate playback of media to channel, but rather controls the operation of a media operation that was already initiated on the channel.

Note

Icon

The `pause` and `restart` Control options will stop a playback operation if that operation was not initiated from the ControlPlayback application or the control stream file AGI command.

### Syntax

    Action: ControlPlayback
    ActionID: <value>
    Channel: <value>
    Control: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Channel` - The name of the channel that currently has a file being played back to it.
- `Control`
  - `stop` - Stop the playback operation.
  - `forward` - Move the current position in the media forward. The amount of time that the stream moves forward is determined by the skipms value passed to the application that initiated the playback.

    Note

    Icon

    The default skipms value is `3000` ms.

  - `reverse` - Move the current position in the media backward. The amount of time that the stream moves backward is determined by the skipms value passed to the application that initiated the playback.

    Note

    Icon

    The default skipms value is `3000` ms.

  - `pause` - Pause/unpause the playback operation, if supported. If not supported, stop the playback.
  - `restart` - Restart the playback operation, if supported. If not supported, stop the playback.

### See Also

- Asterisk 13 Application_Playback
- Asterisk 13 Application_ControlPlayback
- Asterisk 13 AGICommand_stream file
- Asterisk 13 AGICommand_control stream file

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538